﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.
define e = Character(_("Eleni"), image="eleni", who_color="#ff74b2", outlines=[(3,"#3e001c",0,0)])
define k = Character(_("Kamilla"), image="kamilla")

define o = Character(_("Olog"), image="olog")
define c = Character(_("Mazaal"), image="coworker", who_color="#b053b1")

define narrator = nvl_narrator
define nvl_narrator = Character(_("Kamilla"), kind=nvl) #, what_prefix="{cps=0}") #does not work for some reason???
define op = Character(_("Olog"), kind=nvl, what_prefix="{cps=0}")

transform leftb:
    xalign .1
    yalign 1.0
transform rightb:
    xalign .9
    yalign 1.0
transform leftc:
    xalign .3
    yalign 1.0
transform rightc:
    xalign .7
    yalign 1.0
transform flip:
    xzoom -1.0
transform unflip:
    xzoom 1.0

transform cg:
    alpha 0 xalign .5 yalign 1.0 yoffset -40
    parallel:
        easeout .4 alpha 1.0
    parallel:
        easein .3 yalign .12 yoffset -5
        easein .2 yoffset 0

transform slowbounce:
    yoffset 0
    linear .2 yoffset 12
    linear .2 yoffset 0
transform bounce:
    yoffset 0
    linear .1 yoffset 12
    linear .1 yoffset 0
transform bounce2:
    yoffset 0
    linear .07 yoffset 12
    linear .07 yoffset 0
    linear .07 yoffset 8
    linear .07 yoffset 0

define fastmove = MoveTransition(.2)
# The game starts here.

define audio.title = "audio/title.ogg"
define audio.ritual = "audio/friend ritual.ogg"
define audio.together = "audio/play together.ogg"
define audio.office = "<loop 3>audio/sacroffice.ogg"
define audio.calm = "audio/calm.ogg"
define audio.train = "audio/insterail.ogg"
define audio.netherworld = "audio/netherworld mischief.ogg"
define audio.weakness = "audio/weakness.ogg"
define audio.ending = "audio/ending.ogg"

image darken = Solid("#0008")
image darken2 = Solid("#1a162aaa")
image bg red = Solid("#4e0023")
image nvlwindow = "gui/nvl.png"
image nvlwindow small = "gui/phone/nvl.png"

layeredimage kamilla:

    always "kamilla_base"

    group outfit auto:
        attribute work default

    group eyes auto:
        attribute open default

    group brows auto:
        attribute up default

    group mouth auto:
        attribute pout default

    group arms auto:
        attribute work_down default

layeredimage eleni:

    always "eleni_base"

    group outfit auto:
        attribute pjs default

    group brows auto:
        attribute up default

    group eyes auto:
        attribute open default

    group mouth auto:
        attribute happy default

    group arms auto:
        attribute pjs_up default

layeredimage olog:

    always "olog_base"

    #group outfit auto:
    #    attribute work default

    group arms auto:
        attribute up default

    group eyes auto:
        attribute open default

    group brows auto:
        attribute normal default

    group mouth auto:
        attribute smile default

image candle:
    "candle1"
    pause .12
    "candle2"
    pause .12
    "candle3"
    pause .12
    "candle4"
    pause .12
    repeat

image mmbg = "gui/main_menu.png"
image mmbuttonframe = "gui/mmbutton_frame.png"

transform logoappear:
    xalign .5 yalign .3 yoffset 20 alpha 0
    linear .5 alpha 1.0 yoffset 0

label splashscreen:
    scene black
    if not persistent.setlanguage:
        call screen langset
        $ persistent.setlanguage=True
    show splash with dissolve
    pause 2
    hide splash with fade
label showtitle:
    pause .1
    play music title
    show logo at logoappear
    pause 1
    show mmbg behind logo with Dissolve(.7)
    pause .8
    show mmbuttonframe with Dissolve(.6)
    return

label start:
    scene black
    $ quick_menu = False
    stop music fadeout .2
    #intro!
    pause 1
    show circle with Dissolve(2)
    play sound "audio/sfx_candle.wav"
    show candle:
        xalign .2 yalign .08
    show candle as candle2:
        xalign .8 yalign .08 xzoom -1.0
    with dissolve
    pause .1
    play sound "audio/sfx_candle.wav"
    show candle as candle3:
        xalign .12 yalign .38
    show candle as candle4:
        xalign .88 yalign .38 xzoom -1.0
    with dissolve
    pause .1
    play sound "audio/sfx_candle.wav"
    show candle as candle5:
        xalign .15 yalign .68
    show candle as candle6:
        xalign .85 yalign .68 xzoom -1.0
    with dissolve
    pause .4
    play sound "audio/sfx_flute.wav"
    pause 3

    $ quick_menu = True
    "???" "May my melody reach the deepest pits of the Netherworld!"
    play sound "audio/sfx_light.wav"
    show circle lit with Dissolve(1)
    "???" "Kamilla, if you're listening, I invite you to this world!"

    "???" "Let's form a contract!!"
    play music "audio/sfx_rumble.wav"

    scene bg red
    with Dissolve(1)
    pause .2

    k "SO YOU'VE CALLED UPON ME AGAIN...\n{size=+5}{color=#cc005b}E L E N I . . .{/color}{/size}"

    k "TREMBLE IN FEAR, PATHETIC FOOL... FOR I, FROM THE VERY DEPTHS OF OBLIVION, HAVE BROUGHT...!"

    scene bg darkbedroom
    show eleni robe robe_up mad smile at leftb
    show kamilla up closed oh at rightb
    stop music
    play sound "audio/sfx_oh.wav"

    k "...The book you asked for."
    if renpy.variant("small"):
        $ e = Character(_("Eleni"), image="eleni", who_color="#ff74b2", outlines=[(5,"#3e001c",0,0)])

    play music ritual
    e up happy squee "EEEEEEE show me, show me!"

    k half2 mad "Here... \"A Comprehensive Guide to Capturing Princesses.\" Not sure why you'd want a guidebook aimed at overlord-level demons, but..."

    e mad open "Of course I'd want it! It's important to learn what kinds of knowledge they want to pass down to future generations!"

    k pout surprise open "You're not secretly vying to become an overlord, then?"

    e lookaway smile up "Heheh, I wonder~"

    k work_cover uh half2 mad "By the way... do you really have to wear those robes every time you summon me."

    e mad open "{size=+5}Yes!!{/size} It's part of the ritual!"

    k um closed "This is the third time we've done this."

    e oh "I have to be dressed for the ritual, Kamilla."

    k half2 work_down "And is this daily ritual really necessary to our original contract?"

    e up happy yay "If I don't set the mood, it won't be as fun! It gives you an excuse to make a fun demonic entrance, too..."

    k closed oh up "Any entrance I make is demonic..."

    k work_cover dark grin mad "{size=+5}FOR I AM A FEARSOME DEMON!{/size}\nA CREATURE BORN FROM... TH-THE NIGHTMARES OF PATHETIC HUMANS!" with vpunch

    e open "Is that really how demons are born? Do you think I could dream a demon into existence too?"

    k work_grab open mad uh "No, that's not really--"

    e mad pout lookaway robe_down "But I dream about demons all the time! What am I doing wrong? Is it because I'm an angel?"

    k dark shout "No! I-I just meant we're supposed to be like a human's worst fear! I don't know!"

    e open oh up "Huh? Then how ARE demons born?"

    k closed work_cover "...Just, nevermind!! Wh-why are we talking about this?!"

    e smile robe_up "You're the one who brought it up. Here, lemme get the lights."
    show eleni at flip
    hide eleni with moveoutleft

    scene bg bedroom
    show kamilla mad at rightb
    with fade
    show eleni at leftb with moveinleft
    e yay "Ahh, that's much better!"

    k halfaway um work_grab "{size=-5}Then don't bother with that atmosphere in the first place...{/size}"

    e open "Is it okay if I come up with a new task for you so I can get to reading this new book?"

    k open surprise uh "Huh? Y-yeah... I-I mean!"
    show kamilla dark mad grin work_cover at bounce2
    k "DON'T CASUALLY BELIEVE I'LL OBEY YOUR WHIMS! THINK SERIOUSLY AS TO WHAT YOU'LL OFFER YOUR SOUL! YOUR NEXT WISH MAY BE YOUR LAST!"

    e oh pjs_oneup "Oh, is there a 3 wish limit? Like a genie?"

    k work_grab open uh up "That was supposed to be like, a threat on your life..."

    e mad smile pjs_up "Let's do a one-contract-per-day minimum! That's my new contract with you!"

    k mad pout work_down "Refused."

    e sad oh pjs_down "Whaaat? I thought that would be a good one."

    k closed oh "I can't let myself be monopolized by one client... I'm just starting out, I need a wider range of experience."

    e "So I can't play with you every day?"

    k dark shout "Absolutely not. F-fool... you think demon summoning is a game? These contracts have grave consequences for your soul!"

    e mad smile "Oh, I don't care about that. Whatever the price to talk to a demon, I'll pay it!"

    k work_grab open uh up "S-seriously?"

    e up happy pjs_up "If asking you to come back every day is too much, then... my new contract is for you to hang out with me for the next 24 hours!"

    k mad "W-weren't you about to read that book I brought you?!"

    e mad smile "I can find something to entertain you in the meantime! What's important is that we're here together!"

    e up yay "Plus, this is basically an addendum to our original contract!"

    e open happy "Friends should spend time together! Aren't we friends, Kamilla?"

    k work_down closed oh "Due to that contract, yes... ongoing interaction would be required, I think. I just didn't realize \"ongoing\" meant DAILY...."

    e pjs_oneup ehe "You're agreeing to this one though, right?"

    k open pout up "I have no objections. It's a fair contract."

    k half2 grin "Spend the next 24 hours \"hanging out\" with you, and then... you give me a break for a few days. Alright?"

    e yay happy "Ooookaaaay <3"

    k open smile "Good! Then it's decided... I-I mean--"
    show kamilla dark mad grin work_cover at bounce
    k "{size=+5}THE CONTRACT IS SEALED!\nMUHAHAHAHAAA....{/size}"

label daytogether:
    play music together fadeout 1.0
    scene black with fade
    scene bg bedroom
    with dissolve

    if renpy.variant("small"):
        show nvlwindow small with dissolve
    else:
        show nvlwindow with dissolve

    $ _history = False

    "new contract has a time obligation, be back tomorrow"
    play sound "audio/sfx_text.ogg"
    op "OK. No lasagna for you tonight."

    "I'll have leftovers"

    op "Not if I eat it all."

    "BROTHER..."

    "you are truly a demon among demons. if only I could learn from your evil ways."

    op "Such praise. I'll leave you my scraps, out of mercy."

    "wow I'm grateful"
    nvl clear

    $ _history = True
    hide nvlwindow with dissolve

    show kamilla half2 smile at rightb
    with dissolve

    k "Heh..."

    show eleni ehe at leftb
    with dissolve

    e "...heehee..."

    k half pout "...."

    k open mad "Are you done reading yet? I'm bored."

    e up yay pjs_oneup happy "Eheheh sorry~ I'll take a break. This book is really funny."

    k half uh up "I'm sure the author would be disappointed to hear that. \n{size=-5}Considering it's a technical manual...{/size}"

    e open "Did you finish reading that comic?"

    k open oh "Huh? Yeah, like an hour ago."

    e mad happy pjs_up "What'd you think?! Is any of the demon lore accurate?! It's totally in line with my vision of the Netherworld so I HAVE to know!!"

    k halfaway panic mad "Uhh... you aren't the least bit embarrassed to say a comic called \"Succubus Sex Party\" is your vision of the Netherworld?"

    e "It's my ideal! Was it too good to be true?"

    k um work_cover closed "...Yeah."

    k half2 grin "Also, y-you're pretty brave to hand over your porn to someone you barely know!"

    e lookaway up smile pjs_down "That one's pretty tame. Besides..."

    e yay happy "You read all the way through, so it must've been fine!"
    show kamilla blush shout work_cover at bounce2
    k "I-I didn't have anything else to do...!"

    e open pjs_oneup smile "Do you like succubus ladies too, Kamilla?"

    k work_grab "WE'RE NOT TALKING ABOUT THIS!!" with vpunch

    e yay happy "Heehee, okay, sorry~!"

    e open pjs_down smile "Then what do you wanna do next?"

    k work_down open up pout "Uh... I don't know. You're the host, here."

    e lookaway pout "Friend stuff... Demon friend stuff? What do demon friends normally do?!"

    k halfaway "Demon friends, hmm..."

    k work_cover half grin mad "Muhaha... Demons despise the very idea of petty friendships! What a waste of time!"

    e open oh "So there's no demon friend stuff to do...?"

    k dark "Of course not, you fool! "

    e yay happy pjs_up "Then let's play Capture the Princess! You be the Overlord, and I'll be the Princess."

    k work_grab open up uh "Huh? I-is that a real thing?"

    e open mad smile "I just made it up! Try to capture me!"
    show eleni at bounce
    pause .2
    show eleni at flip
    hide eleni with moveoutleft

    k work_down mad "Isn't this just tag?"
    show eleni at center behind kamilla with moveinleft
    hide eleni with moveoutright
    e "Demons play tag, too? Heehee!"

    k work_cover halfaway grin "...Very well! I shall engage in this game of tag!"
    show kamilla half at flip
    hide kamilla with moveoutright

    show eleni at rightb with moveinright
    show eleni squee at bounce2
    e "Kyaa~ the evil Overlord is after me! Heeheehee!!"
    show eleni at flip
    hide eleni with moveoutleft
    show kamilla dark grin mad at center with moveinright
    k "I'll capture and imprison you! Like a true Overlord would do!"
    hide kamilla with moveoutleft
    show cg kabedon at cg
    e "Wahh! I'm cornered~!"

    k "I have you now, Princess!"

    e "Oh nooo~! What are you gonna do to me?"

    k "Uh... I-imprison you, right?"

    e "What about after that?"

    k "Wait for a hero to come challenge me? A-AND THEN SLAY HIM REMORSELESSLY!! MUAHAHAHAA!!"

    e "Heehee... so you'll fight to protect me, Miss Overlord?"
    scene bg bedroom
    show eleni at leftb
    show kamilla mad uh at rightb
    with dissolve
    show kamilla at right with move

    k "H-hold on... are Princesses supposed to like their captors?"

    e mad smile "This one does!"
    show kamilla dark panic work_grab at bounce2
    k "Isn't that kinda messed up?!"

    e up oh "We're just playing... but if you don't like it, I guess we can do something else."

    e happy "Are you hungry? Ooh, what do demons eat? Meat, right?!"
    show kamilla open at rightb with fastmove
    k "Stop right there! Do NOT try to serve me something weird like human flesh, okay?!"

    e squee "Mind reader!! We're really on the same wavelength now!"

    k halfaway grin work_cover "Ah... haha... you're a dangerous angel."

    e lookaway up pjs_oneup "So what should I cook...?"

    e sad oh "Or maybe food made by an angel would poison you? I didn't consider that!!"

    k half2 oh up "It'd only become poison if you put something weird in it. Maybe I'd be better off eating out..."

    e open mad pjs_up "No no no, you can't go outside. Everyone would freak out!"

    k work_down open pout "Oh. Right. Angels."

    e pjs_oneup happy up "We might be able to disguise you if not for your big long horns... Oh, maybe you can put stockings over them to look like a bunny!"

    k uh half2 "Pass. Just order pizza or something."

    e pjs_up mad "Pizza...! Demon pizza!!"

    k dark mad shout "They're not going to deliver from the Netherworld!! Just order your regular angel pizza!!!"

    e yay smile up "Heheheh... okay. I'll order pizza."

    scene black with fade

    scene bg bedroom
    with dissolve

    if renpy.variant("small"):
        show nvlwindow small with dissolve
    else:
        show nvlwindow with dissolve

    "I got pizza for dinner"
    play sound "audio/sfx_text.ogg"
    op "That's very lasagna-adjacent. Will you still want leftovers?"

    "please"
    nvl clear

    hide nvlwindow

    show eleni pjs_oneup oh at leftb
    show kamilla half2 at rightb
    e "What's that?"

    k open "Huh? ...My phone?"

    e pjs_up happy "A demon phone...! This is my first time seeing one in real life!"

    k concern uh "Do angels not have smartphones???"

    e "Nope! But I've read a little bit about them."

    e pjs_down smile closed "Smartphones were invented by the great demon Kandata, who wanted personal, handheld access to the Netherweb."

    e mad open "And then his idea was stolen and mass-produced! So now demons can be connected all the time..."

    e yay happy up "It's so incredible! Angels don't have things like that."

    k halfaway up "Yeah... that sounds inconvenient."

    e pjs_oneup lookaway smile "Not really. Our lifestyles don't really call for it. Plus, they're illegal."

    k open work_grab shout surprise "{size=-5}I-illegal...?{/size}"

    e open oh "Were you texting someone?"

    k work_down pout up "My brother."
    show eleni happy pjs_up at center with fastmove
    e "{size=+5}YOU HAVE A BROTHER?!{/size}"

    k mad uh work_cover "Woah!! Y-yes... he's also my supervisor."
    show eleni at leftb with move
    e "A brother and a supervisor... is he strict? Does he look like you? Is he EVEN TALLER?!"

    k pout work_down up "Sometimes. Uh, somewhat similar. And yeah, he's taller than me."
    show eleni squee at bounce
    e "THAT'S SO TALL! Are all demons really tall? I wonder what the average height is for demons..."

    k work_grab uh surprise "D...do you, have any family, Eleni?"

    e pjs_down open smile "Nah, who needs 'em. It's just me!"

    k pout "Huh..."

    e pjs_oneup oh "You can access the Netherweb through your phone, right? Even though you're not in the Netherworld?"

    k work_down oh up "Oh, uh... I have reception through the summoning circle, yeah."

    e pjs_up happy "{size=+5}WOW...!!!!!!!{/size}"

    k mad pout "If you want to borrow it we're going to need to do a new contract."

    e closed mad frown "No, no... it's too much power. I'm not ready for the Netherweb yet."

    k uh half up "Sure..."

    k work_grab open panic "...But if you wanted to, we could, um... watch a movie?"
    show eleni open happy at leftc
    e "{size=+5}A DEMON MOVIE??!?!?!?{/size}" with vpunch

    k mad pout "Yes. A demon movie."
    show eleni squee up at center with fastmove
    e "CAN WE? CAN WE PLEASE?!"

    k work_cover half2 mad grin "Hmhmhm... but are you prepared? Your eyes could melt out of your skull from the brilliant darkness of demonic horror cinema!"
    show eleni mad open at bounce
    e "MELT MY EYES! PLEASE KAMILLA!!!"

    k dark "Very well! Turn down the lights, and brace...um, YOUR VERY SOOOUUULLL!!!"
    stop music fadeout 5.0

    scene bg bedroom
    show darken2
    with dissolve
    show cg movietogether at cg with dissolve
    pause
    show cg sleeptogether with fade
    pause
    show cg awake with fade
    pause
    hide cg with dissolve

    if renpy.variant("small"):
        show nvlwindow small with dissolve
    else:
        show nvlwindow with dissolve

    "this job is cool. I just got to watch Train to Abaddon and take a long nap."
    play sound "audio/sfx_text.ogg"
    op "Reminder not to date your clients, Kamilla."

    "it's not a date lol"

    "can't two people watch a movie without it being a date"

    "what is your problem"

    "wait were you joking????"

    "...now I'm embarrassed"
    play sound "audio/sfx_text.ogg"
    op "We should talk when you get back."

    "ok. but just to be clear, I'm not dating my client!!!"
    nvl clear
    hide nvlwindow

    show kamilla mad halfaway um at rightb
    k "...."

label morning:
    scene bg bedroom
    show kamilla half2 at rightb
    with Fade(1,1,1)
    play music ritual
    show eleni pjs_down tired relax ehe at leftb with moveinleft

    e "Oh, you're already up... ehehe, I slept for so long. I must've been worn out from how exciting yesterday was."

    k halfaway "...."

    e "Do you need a shower or anything?"

    k "No."

    e pjs_oneup up open oh "Oh... Do demons bathe?"

    k mad dark shout "Yes, demons bathe!" with vpunch

    e sad ehe yay "Eheh, sorry... just asking."

    k concern open uh "No, um--I'm sorry, I didn't mean to snap or anything."

    k halfaway mad "You just ask a lot of questions like that..."

    e lookaway "It's okay! You're right. I HAVE been asking you too many questions."

    e open pjs_up "Can we watch more demon movies?"

    e tired "Oops, that's another question..."

    k half2 oh up "...Yeah there's time for one more until my 24 hours are up."

    e open oh "Aww, you'll really have to go?"

    k "That was the contract."

    e yay up ehe "Then let's do another contract once the time is up!"

    k pout mad "I've already explained this to you--you get one per summon. I can't go against regulations, or I could lose my job."

    e pjs_oneup lookaway sad "Oh... yeah."

    k open "And don't forget our contract this time states you must refrain from summoning for the next 3 days. So even if you try, it won't work."

    e pjs_down tired oh "Yeah... I know..."

    k concern "...Are you okay?"

    e yay ehe "Oh I'm fine, just feeling really tired for some reason! Haha, I think I just need to eat something."

    k um halfaway mad work_grab "...Right. Um..."

    k pout open "Get some food and I'll pick out a movie. Wanna see more demon zombies?"
    show eleni up squee pjs_up happy at slowbounce
    e  "Ohhh Kamillaaaaa you really know the way to my heart~!"

    stop music fadeout 3.0

label contractoffice:
    scene black with Fade(1,.5,.5)

    centered "And so, their contract ends...."

    play music office
    scene bg office with dissolve

    show olog at left
    show kamilla open3 at right
    with dissolve

    o "Welcome back."

    k halfaway um "Hey."

    o "Is now a good time?"

    k half mad pout "Did you prepare a lecture? You totally have the wrong idea, you know."

    o closed talk down "Haha... please, just listen, Kamilla."

    o open "Summoners are our clients. Nothing more, nothing less. We fulfill requests, and they repay us with bits of their soul."

    o "And then one day, when they die... the Netherworld claims the rest, and they're reborn as a demon."

    k work_cover uh "I know how it works."

    o closed oh "Then you know that our job is important."

    o open "We can't advertise our services. We can only wait for souls from other worlds to call upon us."

    o "We depend on our limited clientele to rely on us in a professional manner. The more contracts they make, the sooner the Netherworld can claim their soul."

    o smile "Which is why dating a summoner becomes problematic. Do you understand?"

    k shout open4 work_grab "I'm not dating her, Olog."

    k "What kind of demon goes on dates anyway? I don't have a romantic bone in my body. So there's no problem!"

    o blank "Friendships are off limits, too. My point stands."

    k um halfaway"...."

    o half oh "Kamilla, you cannot be friends with someone you are literally draining the life from."

    k uh work_cover "{size=-5}Yeah, tell that to her...{/size}"

    o open smile "Hmm?"

    k work_down open3 up smile "It's not a problem! She's contractually obligated to not summon me for 3 whole days."

    o up closed talk "So 24 hours together and then 3 days apart...I would love to read over your contracts with that witch."

    k up half oh "She says she's an angel."

    o open "Background check says she's a witch. Why would an angel summon a demon?"

    k "Dunno. Are angels even real?"

    o closed "They must be, right? In some world cut off from our own."

    k halfaway pout "Hmm...."

    scene black with fade
    centered "Two weeks later..."

label lonely:
    scene bg office
    show kamilla worry um open3 at right
    with fade

    k "...Are you SURE there haven't been any summon attempts in the past week?"

    show coworker distracted at left with dissolve

    c "Juuuust like I said yesterday. Your witch must be busy with something."

    k pout work_grab "This is weird..."

    c oh "Yeah, it IS weird. Did you do something to scare her off?"
    show kamilla shout at rightb, bounce2
    k "NO!!"
    show kamilla uh halfaway concern work_cover at right with move
    k "I mean... I don't think so?"

    c lol "You seem kinda frantic, Kammy."

    k work_grab concern pout open3 "It's weird, isn't it?! Someone summons you 3 days in a row, and then nothing! For two weeks? What did I do wrong...?"

    c distracted "...You're the sentimental type, aren't you."

    k shout mad "I'm not sentimental! I'm a demon!"

    c happy "Want me to hook you up with a new summoner?"

    k uh halfaway concern work_cover "I... I don't know..."

    c distracted "See? Sentimental. You don't wanna give up the one you had."

    k half mad "That's not it... ugh. Ask me again tomorrow. I'm clocking out."

    show darken behind kamilla
    hide coworker
    with dissolve
    show kamilla at center with move
    pause .3
    show kamilla halfaway um
    pause .5

    k "I'm not sentimental... She really wanted to keep summoning me, that's what she was saying... so it's weird that she isn't..."

    k work_grab pout open3 "There's nothing more to it, it's just something weird that's happening and I want to know why..."

    k shout open2 "That's all it is! Why does everyone think it's because I got attached to her or something? It's so...!"

    k halfaway work_cover uh "It's all so stupid...."
    stop music fadeout 2.0
    scene black with fade
    centered "Meanwhile..."

label meanwhile:
    scene bg insterail
    show eleni sad frown pjs_down at center, flip
    with fade
    play music train
    e "I can't believe they found me out... I can't go back there now!"
    show eleni at rightc, unflip with move
    e "Ohhh but my ritual gear! There's nowhere else I could've left it!"
    show eleni at leftc, flip with move
    show eleni at rightc, unflip with move
    e "Aaaa wawaawaaahhh..."
    show eleni pout at flip
    e "I wanna see Kamilla again..."
    show eleni pjs_oneup up oh at bounce
    e "Oh! Is this love? Love between an angel and a demon?! Even if it's what I hoped for I didn't seriously expect it!"

    e lookaway sad "But how can I summon her again? I'd have to get a new flute..."

    e frown "And the rug, too... that took a lot of effort to make right... Aaaaawawaaahhh....."

    e oh up "Unless...."

    e happy squee pjs_up "Ehehe... Heehee! That's crazy enough to work! And if it DOES work, we must be soulmates!"

    e open oh "Oh no... I really like the sound of that..."
    show eleni squee happy at bounce2
    e "Wah!! I never thought I would have a real crush!"

    e mad pout open "Wait for me, Kamilla~! We'll reunite for sure!!"
    hide eleni with moveoutleft
    stop music fadeout 2.0
    scene black with fade
    centered "Two more weeks pass..."

label distracted:
    play music office
    scene bg office
    show kamilla halfaway at right
    show olog closed talk at left
    with fade

    o "If you want to be successful as a contract demon, you'll need to be able to find common ground with each new client."

    o "Sometimes a summoner may ask for something truly unreasonable, but that's not where you should be shying away. Rather, it's a point of attack!"

    o open "If you can at least meet them halfway, then both parties will come out of the deal satisfied."

    o half smile "...Kamilla? Are you paying attention?"

    k open3 "Yeah."

    o down open oh "Then please try a little harder to get your next contract settled? It's a waste of everyone's time when negotiations are just dropped..."

    k mad work_grab "Oh there was nothing to negotiate with that last one. It was just another sex thing! Why are humans so obsessed with getting fucked by demons?"

    o closed "Language, Kamilla."

    k halfaway "Whatever. Everyone who summons demons is an idiot...."

    o furrow open "Look... I know you've been feeling a little depressed after your first client disappeared. But isn't it time to move forward?"

    k uh "I still think it's weird..."
    show kamilla shout open3 at bounce
    k "And I'm not depressed about it! Stop saying that every time I happen to look tired!"

    o up normal closed "Sorry. But clearly it's still bothering you. And affecting your work ethic. Which is why I have to bring it up, as your supervisor."

    k work_cover halfaway um "... *grumbles*"

    o open "Do you want to talk about it?"

    k work_down half oh up "Maybe some other time... sorry. I'll try to focus on work."

    o smile "Alright... I'm here to listen whenever you're ready."
    stop music fadeout 2.0
    scene black with Fade(1,1,.5)
    centered "An entire month later..."

label fate:
    play music netherworld
    scene bg netherworld with dissolve
    show kamilla half casual cas_down at rightb with moveinright

    k "...."

    "Some Demon" "Those were angel wings, right? Or is it cosplay?"
    "Some Other Demon" "Dude if there was a real angel in the Netherworld, wouldn't we have to duke it out? Like, as demons, aren't we supposed to?"

    k surprise open3 oh "...Angel wings?"
    show eleni squee at center behind kamilla with moveinleft

    e "KAMILLAAA!! I FINALLY FOUND YOU~!"

    k cas_up mad panic open "Wh... wh...."
    show eleni at leftb
    k dark shout "{size=+5}WHY ARE YOU HERE?!?!??{/size}" with vpunch

    e open "Okay, so, long story..."

    e pjs_oneup lookaway "I got kicked out of where I was living, and then I lost some of my summoning gear--a real tragedy, I know--so I couldn't summon you at all, and then I thought,"

    e yay pjs_up "\"Why don't I just go to the Netherworld and find her?\" So I made my way here! And now we've finally reunited!!!"

    k panic "You... YOU...!"

    k cas_down open2 shout "\"Find me in the Netherworld,\" as if that's so easy to do! THE NETHERWORLD IS HUGE!!!" with vpunch

    e oh pjs_down open "I know."

    k panic "Do you... do you have any idea how lucky you are that we just happened to cross paths today?!"

    e pjs_up mad happy "Fate brought us back together!"

    k open surprise oh "Fate..."

    k worry grin dark cas_oneup "Haha... hahaha!"

    e sad pout "I've actually gone to a lot of different demon cities looking for you, you know..."

    k open up pout cas_down "You have to go home."

    e mad oh "Whaaat? After all this?! Take me to your place!"
    show kamilla dark panic mad cas_up at bounce
    k "HAHA, UM, That would be a really bad idea!!!"

    "Another Passerby" "Hey, are you a real angel?"
    show eleni happy pjs_down up at flip
    e "Yeah! Hey there!!"
    show kamilla at rightc with fastmove
    k "P-please stop, you'll draw a crowd...!"

    "Same Passerby" "Haha, what are you doing in the Netherworld? Aren't you gonna get killed?"
    show eleni pjs_oneup oh
    show kamilla at center behind eleni with fastmove
    k "UHH IT'S FINE, EVERYTHING'S FINE!"

    k cas_oneup "{size=-5}Okay you can come to my place, let's go.{/size}"
    show eleni happy pjs_up at unflip behind kamilla

    e "Hooraaaay!!"

label hideaway:
    scene bg kamillaroom
    with fade
    show eleni yay at center
    show kamilla casual cas_down mad um at rightb
    with dissolve

    e "Heehee... eeeeheehee I'm in Kamilla's room~!"

    k dark panic "We're lucky my brother isn't here... um... what did you bring with you? Do you happen to have your robe in that bag?"

    e pjs_oneup open "Yeah I brought it! Why?"

    k open pout "Because my brother can't know who you are. If you want to stay here for a bit, you need to pretend to be a demon."

    e mad smile "Ohhhh I see. So you get to dress me up like a demon, but I don't get to dress you like a bunny."

    k open2 panic cas_up "What? Nevermind that! Put on the robe, and then, uhhh... we need to do something about your skintone..."
    stop music fadeout .1
    play sound "audio/sfx_unlock.wav"
    pause .5
    show kamilla open3 uh up
    show eleni oh up pjs_oneup at flip
    pause 1
    k open mad pout cas_oneup "{size=-5}Shit, he's here. The robe should be enough, just keep your hood low, okay?{/size}"
    show eleni happy pjs_down at unflip
    e "Okay~"

    hide eleni
    show kamilla casual cas_down worry um open3 at rightc
    show eleni2 hidden behind kamilla at right, flip
    with fade

    show olog down at left with moveinleft

    o "Hey Kamilla, for dinner I was thinking..."

    o oh "Oh, I didn't realize you had someone over?"

    k cas_up open4 worry panic "Olog! This is my friend! We met on the Netherweb! She's shy around men so please make yourself scarce, I'm sorry I invited her without any notice."

    e "{size=-5}...hmhmhm...{/size}"

    o closed "Alright. Sorry to intrude. I'll knock when dinner's ready."

    scene bg kamillaroom
    show kamilla casual cas_down half worry uh at rightb
    show eleni robe robe_up yay at leftb
    with fade
    e "...He really does look like you. And he's taller, like you said!"

    e "That was a pretty good lie about me, too. One that only works if he's polite! A polite demon... what's the catch, I wonder?"
    stop music fadeout 3.0
    hide kamilla
    show kamilla2 despair at rightb
    k "...."

    e open sad oh robe_down "Kamilla?"

    k "This is so stressful..."

    e up happy "What's stressful? I'm having fun!"
    play music weakness
    k "Aaaaaggghhhh... Eleniii......"

    e robe_up ehe sad "Eheh... I've just been going with the flow, but... why do I have to pretend to be a demon again?"

    k "Because I wasn't supposed to make friends with clients."

    e "...But our very first contract was to be friends."

    k "I know. I messed up."

    e tired frown "Oh...."

    e ehe yay "...I'm sorry. I'm really causing a lot of trouble for you by coming here, huh..."

    k "It's not your fault."

    e robe_down open oh "I couldn't just not see you again..."
    hide kamilla2
    show kamilla casual cas_down open concern um at rightb
    k "...."

    e closed frown "I'm sorry I didn't summon you like normal. I should've tried harder to get the stuff for it again."

    e "But when I thought about somehow finding you myself, I got really excited and had my heart set on doing that..."

    k smile "Haha... sounds just like you."

    e robe_up open mad oh "Kamilla, I've had a lot of time to think while I was searching for you."

    e "I love demons, but I can't be satisfied becoming friends with just any demon... it has to be YOU!!"

    k open uh surprise cas_oneup "O-oh...!"
    show eleni at bounce
    e "And for corrupting my heart like that... you must be punished!!!"

    show eleni at center with fastmove
    hide kamilla
    hide eleni
    with dissolve
    show cg punishment at cg
    k "You're punishing me?!"

    e "Well, you were punished enough by me showing up and causing trouble... so now we're even."
    show cg bed1
    k "Ha... hahahaha.... you're so outrageous!"

    e "Teehee... did you miss me, Kamilla?"
    show cg bed2
    k "I-I..."

    k "I don't know... maybe I was fixating on you out of guilt... but I actually had a lot of fun whenever you summoned me."
    show cg bed3
    k "Did you know... because you made a contract with a demon, your soul belongs to the Netherworld?"
    show cg bed4
    e "That's the most romantic thing you've ever said to me, Kamilla."

    k "I'm being serious. Each contract takes a bit of your soul as payment. And when you die, you'll be reborn as a demon."
    show cg bed5
    e "I'll become a demon?! This just keeps getting better."

    k "No, you don't understand. It won't be YOU anymore. You don't get to keep any of your memories when you're reborn."
    hide cg with dissolve
    show eleni robe robe_down sad oh at leftc
    show kamilla casual cas_down concern um at rightc
    with dissolve
    e "Oh..."

    k halfaway "I thought I could do this job. I thought I could be the big scary demon, taking souls in exchange for favors..."

    k shout open "But I never wanna do you a favor again if it means I'm chipping away at your life! It's fucked up!!"

    e up "I don't mind."

    k mad open pout "Eleni--"

    e robe_up mad "I don't care if it hurt me! I don't regret summoning you."

    k surprise shout cas_oneup "...!"

    e up happy "So I guess it's good that I came here after all? I won't summon you anymore. We can just get together like normal friends!"

    k smile concern "O...okay. Yeah. If you're not my client... then we can be friends!"
    show eleni mad at bounce
    e "Or girlfriends!"

    k cas_up blush worry shout "UM--!"

    play sound "audio/sfx_knock.wav"
    pause .8
    show kamilla dark panic at left behind eleni with move
    show eleni oh up at flip
    k "L-looks like dinner is ready!\n{size=+5}Thanks Olog!{/size}"
    hide kamilla with dissolve
    e happy "I'm just saying, Kamilla! Think about it, okay?"
    stop music fadeout 3.0
    show eleni at left with move
    hide eleni with dissolve
    scene black with fade
    centered "Later that night..."

label lateron:
    scene bg balcony
    show olog down blank at left
    show kamilla casual cas_down halfaway oh at right
    with fade
    play music calm

    k "...So that's everything that happened. Sorry I couldn't talk about it before."

    o closed oh "...I understand why it would be hard to talk with me about all that."

    o half  "I can also imagine you wanted the problem to conveniently fade away without having to tell me your mistake."

    k closed um mad "It was looking like it might, until she showed up today..."

    o open smile "Right. So here we are."

    k concern open3 oh "Hey, Olog... is there a way to cancel a contract?"

    o closed blank "Hmm...."

    k worry closed um "I never should have made it. I shouldn't have agreed. I was just... going with the flow..."
    hide kamilla
    show kamilla2 despair at right
    k "Does being her friend outside of the summoning still count as me doing her a favor? Does it keep taking bits of her soul?"

    k "It was my first contract! Why did I settle on something so vague, thinking it'd be fine?! I'M AN IDIOT!!!"

    o open talk "Well... if the contract is interpreted as \"the act of starting the friendship\" rather than \"the act of maintaining the friendship\"..."

    o "Then you could just amend the original contract to have clearer language, both parties can sign, and you'd be free."
    hide kamilla2
    show kamilla casual cas_down halfaway smile concern at right
    k "A demon freeing herself from her own contract..."

    o closed "Hahaha. Typically it's the clients trying to free themselves from some of the more nasty contracts."

    k half grin "Yep, and I managed to turn it around. That's how bad a failure I am as a contract demon."

    o open smile "Are you going to quit?"

    k closed up "Oh, after all this? Absolutely. Thanks for having me, but this is my 2 weeks notice."

    o closed talk "Fair enough. I'll miss you around the office, but it's for the best."

    k cas_oneup concern open3 oh "So we can really just amend the contract and the friendship thing isn't a concern anymore...?"

    o open smile "Yep. Just clarify the intention, and there's no risk of more of her soul being taken."

    k open4 smile "Good.... good!"

    o furrow talk "So when are you going to properly introduce me to this girl? Is she really afraid of men?"

    k cas_down open3 up "Hahaha, no... She's a demon fanatic, so she'll just ask you a thousand strange questions."

    k mad "You should be afraid of HER."

    o normal closed up "Noted. I'll have to clear up my schedule a bit if she really has so many questions for me."

    k closed up "Alright, I'm going back inside. Thanks for the talk. And dinner. It was really good, as always."

    o open "Sure thing. Don't stay up too late."

    k half "Night, Olog."

    play music together fadeout 2.0
    scene bg kamillaroom
    show eleni at left, flip
    show kamilla casual cas_down oh at rightb
    with Fade(1,1,1)

    k "Hey, sorry to keep you..."

    k mad pout "...Are you going through my things?"
    show eleni at leftb, unflip with move
    e yay "I was just looking~!"

    e open pjs_oneup smile "You have more games and comics than I expected. Is that where you get your inspiration for being demonlike?"

    k closed panic "N-nevermind that! So about our first contract..."

    k open oh "Olog says we can amend it so that it's already explicitly fulfilled, that way there's no risk of me hurting you by being your friend..."

    e pjs_down yay happy "Aww, you were worried about that? I already told you, whatever the price I have to pay to be with you, it's worth it!"

    k uh "Don't say that. It's like throwing your life away. I don't want you to do that."
    show eleni pjs_up open at leftc with fastmove
    e "Then...! Is it possible?! You return my feelings?!?!"
    show kamilla cas_oneup dark panic at bounce
    k "J-just because I don't want you to die?! That's quite a stretch."

    e pjs_oneup yay smile "Hmhmhm... okaaayyyy. We can amend the contract."

    k cas_down concern smile open "Good...!"

    show eleni pjs_down open
    show kamilla surprise at rightc
    with fade

    k "...There. Everything's in order! All of our contracts together have been fulfilled, so you don't have to give up any more of your soul."

    k concern open2 "Now... we're free to be friends."
    show eleni pjs_up mad happy at bounce
    e "Or girlfriends!"
    show kamilla cas_up panic at rightb with move
    k "S-slow down! We can be FRIENDS, okay?!"

    e pjs_down smile up "Okay! Now what?"

    k cas_oneup up open uh "Now... um...."

    k cas_down pout "W-well, it's pretty late. you may as well stay the night...."

    e yay "Heehee~ last time you had a sleepover with me, and now I get to have one with you!"

    k smile "Yep. That's how it turned out."

    e mad open "Your bed isn't as big as mine was, so we'll have to cuddle pretty close~!"
    show kamilla blush cas_oneup shout mad at bounce
    k "I-I'll sleep on the floor!"

    e sad happy "Aww, even though we've slept in the same bed before, you're being so shy?"

    k open panic "It's different now... and don't say it like that!"
    show eleni yay up at leftb with move
    e "Ooookaaaay~ <3"

    k cas_down up open uh "Do you, um... need to borrow pajamas or anything?"

    e oh open "No, these ARE my pajamas."

    k mad "...Do you own any normal clothes?!"

    e smile "Of course I do! They're just not as comfy...."

    k cas_oneup open2 concern grin "Ha... hahaha! You're so strange!!"

    e mad pjs_up "Well what do YOUR pajamas look like? Then we'll see who's strange!"

    k open cas_down smile "What are you even expecting? Fine, I'll show you...."
    show kamilla at flip
    hide kamilla with moveoutright
    pause .5
    show eleni pjs_oneup up at center with move
    pause 1
    show kamilla casual cas_up panic halfaway concern at right with moveinright
    k "Uh... actually, I'll change in the bathroom."

    e happy "Why?"

    k blush shout worry "IT'S EMBARRASSING!!" with vpunch
    hide kamilla with moveoutleft
    show eleni at flip
    e squee happy "You're so shy!!!!! Eeeeeeee!!!!!!!!!"

    scene bg kamillaroom
    show eleni smile at leftb
    with fade

    show kamilla pjs pjs_down mad closed at rightb with dissolve
    k "...See? Normal. You lose the not-strange contest."

    e squee happy "I'll happily lose if I get to see you look this cute!! Eeeee~ heeheehee!"

    k panic halfaway worry "Y-you can't even lose normally... You weirdo...."

    e pjs_oneup lookaway smile "Hmhm~ It's more fun to be strange anyway."

    show eleni open pjs_up happy at leftc with move

    e "Hey, Kamilla... is it hard to sleep on your side because of your horns?"

    k open surprise uh "Huh???? Not really... I guess now that I think of it, I usually sleep more on my stomach."
    show eleni at bounce
    e "Do your horns ever hit the bar of your bedframe? Is that why your pillow is placed down lower?"

    e oh "OH! Have you ever impaled your walls on accident?! Having such big horns seems so dangerous...."

    k mad um "Are you going to ask me weirdly specific questions all night." id lateron_d715ccda
    show eleni pjs_oneup yay sad ehe at leftb with move
    e "Oh no! I forgot it makes you mad... eheh, you don't have to answer."

    k open up oh "Anyway... are you tired? Should we do anything before bed?"

    e pjs_down mad open smile "I wanna read one of your books!!"

    k half uh "Oh... okay. I meant something we could both do together, but that's fine too...."

    e up "Don't worry, it's totally something we can do together. Since the kind of book I wanted to ask for is..."
    show eleni pjs_oneup at leftc with move
    k open pout "...?"
    show kamilla at rightc with move
    e mad "*whispers* {size=-5}Adult comics!!!{/size}"
    show eleni pjs_up at leftb
    show kamilla mad dark panic at rightb
    k "{size=+5}I don't have any!!!!!!!{/size}" with vpunch

    k halfaway "...Not that I'm willing to share, anyway. {size=-5}I have to keep my secrets safe....{/size}"

    e yay up happy "Hmhmhm~ I hope you'll share with me one day~!"

    e lookaway sad oh pjs_oneup "But you know... comics like that just wouldn't satisfy me anymore. Not since you corrupted my heart."

    k dark "Your heart was plenty corrupt from the beginning!!"

    e mad open "Do you have any demon anatomy books? Maybe that'll be enough."

    k "{size=+5}SEE?! YOU'RE CORRUPT AS HELL!!!{/size}" with vpunch
    show eleni smile at bounce
    e "I'll be your dark angel, Kamilla!"

    k concern open2 grin "You're so embarrassing!! Hahahaha!"

    e yay happy up "Eheheh.... Thanks for letting me stay over... We can go to sleep now if you want."

    k open smile "Alright. I'll set up my sleeping bag..."

    stop music fadeout 2.0
    hide eleni
    hide kamilla
    show darken
    with Fade(1,1,1)

    pause 1
    play music calm fadein 3.0

    e "...Kamilla?"

    k "Hm?"

    e "I'm happy I didn't give up on looking for you. It was really worth it."

    k "...."

    e "Is it okay... if I hold your hand for a while?"

    k "...You have hands under those sleeves?"

    e "Hmhmhm... what if they were feathery bird hands? Would you be surprised?"

    k "Let's see...."

    show cg holdhands at cg

    k "...Hm. Feels normal. How disappointing."

    e "Heehee... Normal? Really?"

    k "Well, I guess they're pretty small to me. But I'm more used to demon hands."

    e "...."

    k "...Eleni?"

    e "Sorry. I just wanted to take in the moment a little."

    e "Thanks, Kamilla."

    scene bg kamillaroom
    show darken
    with Fade(1,1,.5)

    show kamilla pjs pjs_down half at rightb with dissolve

    k "(....)"

    k concern "(I'm being... too nice, probably...)"

    k mad closed um "(I-I got carried away because she suddenly came back! That's all this is!!)"

    k halfaway "(Holding her hand was pretty incriminating though... that could easily be mistaken for something romantic...)"

    k dark panic "(Agh!! Not only am I a failure as a contract demon, but as a demon in general!)"

    k "(What kind of demon gets into a relationship like this? I can't even make sense of these feelings!!!)"

    k open3 uh up "(Is it because I actually started to like her...?)"

    k mad closed pout "(No, no, no, no, no.)"

    k dark panic "(....No, no, no, no, no, hahaha, no, no!)"

    k open3 pout up "(...This can't go on. I have to get some of my self respect back, as a demon.)"

    k open mad "(I have to be mean.)"
    stop music fadeout 2.0
    scene black with Fade(1,1,.5)

    centered "The next day..."

label sendoff:
    play music netherworld
    scene bg netherworld
    with fade
    show kamilla casual cas_down open3 at center, flip
    with moveinleft
    show eleni robe robe_down yay smile at leftb
    with moveinleft

    e "You made me wear the robe again... I think you like seeing me in it after all."

    k halfaway mad "No, I just don't want you to draw attention like yesterday. You can't parade around the Netherworld as an angel, it's dangerous."

    e mad oh open robe_up "I've BEEN parading around as an angel, the whoooole time I was looking for you!"

    k uh concern "Yeah, I really don't know how you managed that."

    e up "Maybe it was my angelic luck? But seriously, what makes it so dangerous...?"

    k up pout half "Well... angels represent everything a demon should hate. Someone might try to start a fight."
    show eleni smile at leftc with move
    e "Do youuu hate angels, Kamilla?"

    show kamilla um mad at rightc with move
    k "No comment."

    e mad pout "What?! No fair! You have to answer!"

    k halfaway surprise oh "I don't have a strong opinion either way. You're the only angel I've met."
    show kamilla half pout at rightb with move
    e up lookaway "Hmmm...."

    e oh open "By the way, where are you taking me?"
    show kamilla open at unflip
    k "To the station? I'm sending you home."

    e sad shout robe_down "WHAT!! I don't wanna go home! We JUST reunited!!" with vpunch

    k mad uh "Right. Now you know where I live, so you can come back whenever you want. Wh-what's the problem?"

    e frown "You're so cold! Even though we held hands for so long last night...!"
    show kamilla cas_up shout dark mad at bounce2
    k "D-d-don't say that so loud!! {size=-5}Other demons will get the wrong idea...!{/size}"

    e shout robe_up "Well we did! You can't just send me away after that!"

    e oh "Besides, didn't I mention before? I don't have a home to go back to at the moment..."

    k cas_down open surprise uh "Oh... where have you been staying until now, then?"

    e mad "I've been living the life of a vagabond!"

    k half2 up "R-right... well I quit my job yesterday, so... I kinda need to look for a new one. I can't hang out with you today."
    show eleni pout at bounce
    e "Then I'll wait at your place! I'll be good!!"

    k mad pout open "You can't stay with us. You saw how small our apartment is, Olog doesn't even get his own room."
    show eleni up happy at center with move
    e "That's fine, I'll just become your neighbor instead! Take me to your landlord!"
    show kamilla dark shout cas_up at bounce2
    k "Th-this is some form of harassment, isn't it?!"

    e sad oh "I'm sorry. I just don't wanna be too far away from you, because of..."
    show eleni squee shout at bounce
    e "Ah! The pain in my heart!"

    k open um cas_down "Quit messing around."

    e open frown "I'm not messing around, I really really like you! Which is... a new feeling for me."

    k cas_oneup shout surprise "O-oh...! I guess... no one's ever liked me that much before..."

    k mad dark cas_up "{size=+5}W-WAIT, STOP, WE'RE NOT DOING THIS! DEMONS DON'T DO ROMANCE!!{/size}" with vpunch
    show eleni oh at leftc with move
    e "That's okay. I don't expect anything from you."

    e "I just wanted to be honest about my feelings... at the very least I won't lie to you about that."

    e ehe "I'll find a place to stay so that I'm not bothering you and your brother. So is it okay if we meet up again tomorrow?"

    k open up cas_down uh "Um... y-yeah... okay."

    e up yay happy "Heehee! Okay, bye for now, Kamilla!"
    show eleni at left, flip with move
    pause .2
    show eleni sad open ehe at unflip
    pause .5
    show eleni frown at flip
    pause .1
    hide eleni with moveoutleft
    k um surprise open3 "...."
    show kamilla at rightc with move
    show darken behind kamilla with dissolve
    k concern open2 cas_oneup "(I... I'm an idiot...!)"

    k "(I'm trying to push her away, even though she likes me so much? Even though I... l-like being around her too?!)"

    k dark mad panic "(Fool!! Moron!!! Dumbass!!!! What am I doing?!?!)" with vpunch

    k open pout cas_down "(But it's not like I can just BE her girlfriend either! It's too undemonlike!!)"

    k halfaway concern "(...Wait. When did I start caring so much about what's right for a demon to do?)"

    k "(To give a good impression of the Netherworld... I started thinking that way for my job. Which I just quit....)"

    k open3 "(Which means... it would be okay after all?)"

    k "...."

    k mad um "(This is stupid. I need some outside input.)"

    k open "(I'll text Olog.)"

    "do demons do romance???"
    play sound "audio/sfx_text.ogg"
    op "Lol."
    #nvl clear
    show kamilla dark shout at bounce2
    k "(Damn him...! I should've asked in person!!)"

    k concern half um "...."

    k mad halfaway "(...I might as well drop by the office, then...)"

label brotherhelp:
    play music office fadeout 1.0
    scene bg office with fade

    show kamilla casual cas_down open3 at right
    show coworker oh at left
    with dissolve

    k "Where's my brother?"

    c distracted "Off sealing a contract, duh~!"

    k mad uh half "Dammit! I needed to talk to him..."

    c happy "Why, what's up, Kammy?"

    k closed um concern "...You know what, yeah, it may actually be better to talk to you. I can't always rely on my brother for everything."

    c yay "Aww, how mature!"

    k open3 oh "I mean, you've been seeing a few other women, as far as I know... so maybe you can help me."

    c lol "Oh, like, you need help getting laid? Yeah, don't talk to your brother about that, haha. Isn't he asexual anyway?"
    show kamilla cas_up shout at bounce
    k "Yes--N-NO, it's not a sex thing!! I wouldn't be so conflicted if it was!"

    c oh "Huh? Thennn... what's the deal?"

    k halfaway panic cas_oneup "It's a... romantic... thing...."

    c yay "Oh, oh! Is it that witch you were obsessed with? Ohhh that's sooo cuuuuuute!"

    k mad blush "UM!! \"Obsessed\" is a bit of an overstatement!!" with vpunch

    c distracted "I think it's soooo cute that a demon would love someone enough to be in that kind of relationship. Most demons just aren't that way, y'know?"

    k concern open3 "Um... r-right! Demons don't fall in love, normally! D-demons don't do such pathetic things like holding hands!!"

    c wha "YOU HELD HER HAND?! This is more serious than I thought...."
    hide kamilla
    show kamilla2 despair at right, bounce
    k "I-it just felt like the right thing to do in the moment...! I'm sorry!!"

    c lol "Why are you apologizing?"
    show kamilla2 at bounce2
    k "I don't know!!!"

    c distracted "Huh... well I've never been in a romantic relationship so I can't offer advice there. If you need advice for ~the bedroom~ tho, hit me up."
    hide kamilla2
    show kamilla casual cas_down half concern uh at right
    k "Sure......"
    play sound "audio/sfx_text.ogg"
    k surprise open oh "...Oh, hold on, Olog just texted me."

    op "You should do what makes you happy. Don't worry so much about giving your feelings a name if it doesn't sit well with you yet. In time, it may. Or it may not. Either way is valid. Good luck, sis."
    nvl clear

    k concern halfaway smile "...."

    c happy "You got a better answer from him, didn't you?"

    k closed "Hahaha... thanks for your help anyway. I'll be seeing her again tomorrow."

    c yay "Oh, so soon! You'd better tell me how it goes!"

    k open3 surprise "I will. Oh, by the way, I quit yesterday."
    show coworker wha at bounce2
    c "Whaaaaaat?!"
    stop music fadeout 2.0
    scene black with Fade(1,.5,.5)
    centered "And so..."

label ending:
    scene bg newbedroom
    show kamilla casual cas_down surprise shout open3 at rightb
    show eleni pjs_down yay at leftb
    with fade
    play music ending

    e "Here it is!! My new apartment! As of today, I'm officially a resident of the Netherworld!"

    k "You really moved in overnight... I'm starting to think your luck is real."

    e open smile "Ehehe, the landlord ended up liking me a lot. So everything went really smoothly~!"

    k mad uh open "...Seriously though, this is so uncanny. It looks exactly like your old place in here!"

    e lookaway pjs_oneup happy "Yep! Isn't magic so convenient? Packing and unpacking is so easy... even though I ended up losing some things...."

    e pjs_up mad open oh "...Oh! That's right! Kamilla, I have something very important to tell you."

    k surprise um "...What is it?"

    e frown "After yesterday, I did a lot of thinking..."

    e "I get the feeling that you like me at least a little bit, but maybe I haven't opened up enough yet for you to like me all the way!"

    e sad squee shout "So it'd conflict with my goals to hide things from now on! Which means, I have to confess...!"

    k uh "Okay...?"

    e open oh pjs_down "I've actually... been a witch this whole time."

    k up pout closed "Oh."

    e tired "Calling myself an angel, and pretending like I lived in an angel town was all just part of my roleplay. My wings aren't real either..."

    e squee pjs_up shout "I'm sorry for lying to you! I hope you don't hate me..."

    k open smile "I already knew."

    e open pjs_down up "Wh... what?!?!" with vpunch

    k concern "Yeah, when a contract demon is summoned, the identity of the summoner shows up in the system. I knew from the start."

    e sad pjs_oneup "BUT...! Why didn't you say anything if you knew I was lying about being an angel...?"

    k "Because... what would be the point of trying to call you on it?"

    k open2 grin "I mean I've been wondering your reasons, sure, but in the end I just chalked it up to you being a weirdo."

    e mad oh "N-no! I have very legitimate reasons for pretending to be an angel!"

    k half2 "Let's hear it, then."

    e up lookaway smile "I like being an angel... because a witch and a demon couple just isn't as exciting to me!"

    k surprise closed oh "So this has been some kind of romantic pursuit from the very beginning...."

    e mad open oh "No, it was supposed to be a sexual pursuit!! It just happened to turn romantic before we even got to that point!!!"

    k open2 concern grin cas_oneup "Pffhahahahhaa!! I take it back, you might be really unlucky after all!"

    e sad "Why? Because you're still gonna reject me?"

    k half2 smile "No, it's not that... You're unlucky because I think most other contract demons would've been down to fuck."

    e squee happy "Kamilla!!! You can't say \"fuck\" in an angel's house!!"

    k open grin "Hahaha! You said it too!"

    e mad pjs_up "KAMILLAAAA~!!!"
    show eleni at rightc with fastmove
    hide eleni
    hide kamilla
    with dissolve
    show cg punishment2 at cg

    k "Hey!! You can't just tackle me onto a bed every time you want to punish me!"

    e "I'm the host right now, so I can do whatever I want!!"

    k "Last time was at MY house!!!"

    e "As a guest I can do whatever I want, too! The bottom line is, I can do whatever I want and you just have to deal with it!!!"

    show cg hug with dissolve

    e "Like this!"

    k "Alright, alright...."

    e "Ehehe... I'm so happy~ I get to cuddle with Kamilla~!"

    k "I'll allow it, for today...."

    scene bg newbedroom
    with Dissolve(1)
    pause .5
    show eleni sad smile at leftc
    show kamilla casual cas_down concern smile open2 at rightc
    with dissolve

    k "Um, hey, Eleni...? I actually have something I wanted to say, too."

    e "Okay. But if you're gonna tell me you were just roleplaying a demon all along, I don't wanna hear it."

    k closed grin "It's not that!!"

    k open pout "...I'm sorry about yesterday. When you showed up again after so long, I had a lot of confusing feelings to sort out."

    k halfaway "It took me a little while to, um... accept... how I feel about you? Wh-which I still don't know what to call exactly."

    k open2 smile "But maybe it's something close to... a romantic feeling...? E-even though that's weird for a demon to have...."

    k closed grin "So I guess I'm a fake demon after all! Haha..."

    e pjs_oneup lookaway "A fake demon and fake angel couple... that's a pretty good premise."

    e pjs_up yay happy up "Okay! I'll accept you as my girlfriend."

    k half2 "That's what I was trying to say to YOU...!"

    e open smile "Heeheehee..."

    e pjs_oneup mad "I didn't think I'd reach my goal so fast. Now I have to move onto the next one."

    k mad smile "Haha, and what could THAT possibly be?"

    e sad lookaway "I have lots of embarrassing ones that I can't say out loud. They're surprises for... heehee...! My girlfriend!!"

    k worry grin "I already regret this."

    e open up "Wanna know one of the goals I CAAANNN actually tell you?"

    k concern smile "Sure."
    show eleni pjs_up mad happy at bounce2
    e "Become the next Overlord!!! And then I'll make you my secretary!"

    k cas_oneup open grin "Hahaha, well I DID need a new job!"

    e smile "Then it's decided! We'll take over the Netherworld together."

    k half2 cas_down "You're such a dangerous angel..."

    e up yay "Heeheehee~ <3"

    $ persistent.clear = True
    if renpy.variant("pc"):
        $ mp.contractdemon = True
        $ mp.save()

    $ quick_menu = False
    hide kamilla
    hide eleni
    with dissolve
    scene cg ending with Dissolve(2)
    pause
    show darken with dissolve
    show credits page1
    if preferences.language is not None:
        show tlcredit
    with dissolve
    pause
    hide credits
    hide tlcredit
    with dissolve
    show credits page2
    show newcredits page2
    with dissolve
    pause
    stop music fadeout 3.0
    hide credits
    hide newcredits
    with dissolve
    scene black with Fade(2,0,0)
    show credits page3 with dissolve
    pause
    hide credits with Dissolve(1)

    jump showtitle

label gallery:
    $ quick_menu = False
    $ _game_menu_screen = None

    scene ingame gallery1 with fade
    pause
    show ingame gallery2 with dissolve
    pause
    show ingame gallery3 with dissolve
    pause
    show ingame gallery4 with dissolve
    pause
    if renpy.variant("pc"):
        show ingame gallery5 with dissolve
    else:
        show ingame gallery5b with dissolve
    pause
    scene black with fade
    $ quick_menu = True
    $ _game_menu_screen = "save"
    return
